# Code Supplement for Paper "Towards Universal Visual Reward and Representation via Value-Implicit Pre-Training"


## Installation
Create a conda environment where the packages will be installed.
```
conda create --name vip python=3.9
conda activate vip
```
Then, in the root directory of this repository, run:
```
pip install -e . 
```

## Training VIP Representation
Our codebase supports training VIP on both the Ego4D dataset that was used in pre-training our released VIP model as well as any custom video dataset. The dataset directory should use the following structure:
```
my_dataset_path/
    video0/
        0.png
        1.png
        ...
    video1/
    video2/
    ...
```
Then, you can train VIP on your dataset by running:
```
python train_vip.py dataset=my_dataset_name datapath=my_dataset_path
```